Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class VerifyDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--org.apache.bcel.verifier.VerifyDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class VerifyDialog
extends javax.swing.JDialog

A class for simple graphical class file verification. Use the main(String []) method with fully qualified class names as arguments to use it as a stand-alone application. Use the VerifyDialog(String) constructor to use this class in your application. [This class was created using VisualAge for Java, but it does not work under VAJ itself (Version 3.02 JDK 1.2)]

Version:
  $Id: VerifyDialog.java,v 1.1.1.1 2001/10/29 20:00:33 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  `main(String[])`, `VerifyDialog(String)`, Serialized Form

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`VerifyDialog()` Machine-generated.
`VerifyDialog(java.awt.Dialog owner)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, java.lang.String title)` Machine-generated.
`VerifyDialog(java.awt.Dialog owner, java.lang.String title, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Frame owner)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, boolean modal)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, java.lang.String title)` Machine-generated.
`VerifyDialog(java.awt.Frame owner, java.lang.String title, boolean modal)` Machine-generated.
`VerifyDialog(java.lang.String fully_qualified_class_name)` Use this constructor if you want a possibility to verify other class files than java.lang.Object.

Method Summary
`void` | `flushButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`static void` | `main(java.lang.String[] args)` Verifies one or more class files.
`void` | `pass1Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`void` | `pass2Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.
`void` | `pass4Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)` Machine-generated.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VerifyDialog

    public VerifyDialog()

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        java.lang.String title)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        java.lang.String title,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Dialog owner,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        java.lang.String title)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        java.lang.String title,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.awt.Frame owner,
                        boolean modal)

  Machine-generated.

### VerifyDialog

    public VerifyDialog(java.lang.String fully_qualified_class_name)

  Use this constructor if you want a possibility to verify other class files than java.lang.Object.

Parameters:
  `fully_qualified_class_name` - java.lang.String

Method Detail

### flushButton_ActionPerformed

    public void flushButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### main

    public static void main(java.lang.String[] args)

  Verifies one or more class files. Verification results are presented graphically: Red means 'rejected', green means 'passed' while yellow means 'could not be verified yet'.

  Parameters:
    `args` - java.lang.String[] fully qualified names of classes to verify.

### pass1Button_ActionPerformed

    public void pass1Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### pass2Button_ActionPerformed

    public void pass2Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

### pass4Button_ActionPerformed

    public void pass4Button_ActionPerformed(java.awt.event.ActionEvent actionEvent)

  Machine-generated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.